Subject: Re: [MPC8349ITX] USB Init with PPC arch

From: Timur Tabi <[email-masked]>
Date: Tue, 23 Jan 2007 10:32:53 -0600

Benjamin Zores wrote:
> Hi,
> 
> This question is mainly intended to Freescale's MPC8349ITX board maintainer
> but the issue/resolution is probably the same for other boards.

I'm the maintainer, although I don't think I can help you with this specific 
problem.

> I'm trying to boot the MPC8349ITX card with Linux 2.6.19 using old PPC
> architecture (and not the new PowerPC one).
> I've ported patches from Freescale's BSP from 2.6.13 to 2.6.19 and
> it works pretty well but USB doesn't init properly.
> 
> Switching to PowerPC arch of course works fine and USB is well inited
> but due to other feature i use that only exist on PPC right now, I can't
> make use of it.

What feature is that?  I would think it would be easier to port that feature to 
the powerpc architecture, then it would be to port ITX support to the ppc 
architecture.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale